Subject: Fwd: Re: Cross-connect indexing (was Re: A few more atm1ng-03 nitpicks)

From: Kaj Tesink <[email-masked]>
Date: Mon, 27 Apr 1998 22:39:37 -0400

Gary and Mickey,

I updated atm1 and atmtc mibs with these changes;
One minor change to the below:

>X-Station-Sent-From: joker.bellcore.com
>To: Gary Hanson <[email-masked]>
>Cc: Kaj Tesink <[email-masked]>, [email-masked]
>Subject: Re: Cross-connect indexing (was Re: A few more atm1ng-03 nitpicks) 
>Date: Fri, 17 Apr 1998 10:23:07 -0700
>From: Mickey Spiegel <[email-masked]>
>
>Gary,
>
>Looks good to me.
>
>Mickey
>
>
>> That's a good point.  I agree that spvcInitiator to spvcTarget
>> should also be allowed.  How about the following wording for
>> the relevant paragraph in the AtmConnKind TEXTUAL-CONVENTION:
>> 
>>                           For Soft PVCs, an spvcInitiator is either
>>                           cross-connected to an svcOutgoing or an
>>                           spvcTarget, and an spvcTarget is either
>>                           cross-connected to an svcIncoming or an
>>                           spvcInitiator.  In any of these cases,
>>                           the cross-connect is always represented in
>>                           the atmSvcVpCrossConnectTable or the
>>                           atmSvcVcCrossConnectTable of the ATM2-MIB,
>>                           depending upon whether the links are VPLs
>>                           or VCLs, respectively."

My preference would be to keep the "In any of these cases..."
out of the TC. Rationale: it should be up to the ATM2-MIB
to make this claim (through those tables' descriptions
and their compliance clauses). The TC should be defined
such that it is valid for any MIB module that uses the TC,
irrespective of whether ATM2-MIB has been implemented.
It also avoids potential publication schedule problems in the future,
i.e., the two documents should not be unnecessarily linked.
Similar comment to your text in this TC for xconnecting PVCs and SVCs.

>> 
>> Gary
>> 
>> 
>> On Thu, 16 Apr 1998, Mickey Spiegel wrote:
>> 
>> > Gary and Kaj, 
>> > 
>> > I think these are good suggestions.
>> > 
>> > I see one place where I disagree with the proposed wording.  This
>> > problem seems to be present in the current draft:
>> > 
>> > > Here are some object DESCRIPTION modifications that I think would
>> > > adequately clarify the use of the above rules for cross-connects
>> > > within the MIBs themselves:
>> > > 
>> > > - For AtmConnKind in ATM-TC-MIB, change:
>> > 
>> > <snip>
>> > 
>> > >                           For Soft PVCs, an spvcInitiator is always
>> > >                           cross-connected to an svcOutgoing, and an
>> > >                           spvcTarget is always cross-connected to an
>> > >                           svcIncoming.
>> > 
>> > I believe this to be overly restrictive.  A spvcInitiator
>> > cross-connected to a spvcTarget should be valid.  A network using
>> > only Soft PVCs should not have to figure out if the far end is on
>> > the same switch or not.  It should be able to uniformly use Soft PVC
>> > configuration.  I know of at least one large production network that
>> > uses this functionality.
>> > 
>> > Mickey
>> > 
>> 
> 

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
_/                                                                      _/
_/  Kaj Tesink                                                          _/
_/  Bellcore                                                            _/
_/  Business Internet Professional Services  vmail (732) 758-5254       _/
_/  331 Newman Springs Rd.                   email [email-masked]  _/
_/  Red Bank, NJ 07701                     faxmail (732) 758-2269       _/
_/                                                                      _/
_/  * NOTE AREA CODE CHANGE (908) --> (732) EFFECTIVE JUNE 1, 1997 *    _/
_/                                                                      _/
_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/